Bug 773776 - SELinux is preventing /bin/bash from 'read' accesses on the file /bin/bash.
Summary: SELinux is preventing /bin/bash from 'read' accesses on the file /bin/bash.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bb40c38840dc0cf3371f2893d26...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-12 21:24 UTC by geminic86
Modified: 2012-01-22 22:53 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-72.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-22 22:53:39 UTC
Type: ---


Attachments (Terms of Use)

Description geminic86 2012-01-12 21:24:44 UTC
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-7.fc16.i686
reason:         SELinux is preventing /bin/bash from 'read' accesses on the file /bin/bash.
time:           Thu 12 Jan 2012 04:45:58 PM EST

description:
:SELinux is preventing /bin/bash from 'read' accesses on the file /bin/bash.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed read access on the bash file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep aisexec /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:aisexec_t:SystemLow
:Target Context                system_u:object_r:shell_exec_t:SystemLow
:Target Objects                /bin/bash [ file ]
:Source                        aisexec
:Source Path                   /bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.20-1.fc16
:Target RPM Packages           bash-4.2.20-1.fc16
:Policy RPM                    selinux-policy-3.10.0-71.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-7.fc16.i686 #1 SMP Tue Nov 1
:                              21:00:16 UTC 2011 i686 i686
:Alert Count                   1
:First Seen                    Thu 12 Jan 2012 04:45:33 PM EST
:Last Seen                     Thu 12 Jan 2012 04:45:33 PM EST
:Local ID                      e6f3d1a4-08b8-4bad-8138-54c68bed0609
:
:Raw Audit Messages
:type=AVC msg=audit(1326404733.7:624): avc:  denied  { read } for  pid=3473 comm="aisexec" path="/bin/bash" dev=dm-1 ino=7547 scontext=system_u:system_r:aisexec_t:s0 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1326404733.7:624): arch=i386 syscall=mprotect success=no exit=EACCES a0=811c000 a1=1000 a2=1 a3=41d568f8 items=0 ppid=3456 pid=3473 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=aisexec exe=/bin/bash subj=system_u:system_r:aisexec_t:s0 key=(null)
:
:Hash: aisexec,aisexec_t,shell_exec_t,file,read
:
:audit2allow
:
:#============= aisexec_t ==============
:allow aisexec_t shell_exec_t:file read;
:
:audit2allow -R
:
:#============= aisexec_t ==============
:allow aisexec_t shell_exec_t:file read;
:

Comment 1 Miroslav Grepl 2012-01-16 08:38:21 UTC
Fixed in selinux-policy-3.10.0-72.fc16

Comment 2 Fedora Update System 2012-01-17 15:19:00 UTC
selinux-policy-3.10.0-72.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-72.fc16

Comment 3 Fedora Update System 2012-01-17 20:29:26 UTC
Package selinux-policy-3.10.0-72.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-72.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0639/selinux-policy-3.10.0-72.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-01-22 22:53:39 UTC
selinux-policy-3.10.0-72.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.